services:
  _defaults:
    autowire: true
    autoconfigure: true

  XLite\API\Endpoint\ProductImage\Transformer\InputTransformerInterface: '@XLite\API\Endpoint\ProductImage\Transformer\InputTransformer'
  XLite\API\Endpoint\ProductImage\Transformer\InputTransformer: ~
  XLite\API\Endpoint\ProductImage\Transformer\OutputTransformerInterface: '@XLite\API\Endpoint\ProductImage\Transformer\OutputTransformer'
  XLite\API\Endpoint\ProductImage\Transformer\OutputTransformer: ~
  XLite\API\Endpoint\ProductImage\Transformer\UpdateTransformerInterface: '@XLite\API\Endpoint\ProductImage\Transformer\UpdateTransformer'
  XLite\API\Endpoint\ProductImage\Transformer\UpdateTransformer: ~

  XLite\Controller\API\ProductImage\DeleteProductImage:
    tags: ['controller.service_arguments']

  XLite\API\Endpoint\ProductImage\SubIdentifierExtractor\SubIdentifierExtractor:
    tags: [!php/const XCart\Framework\ApiPlatform\Core\Api\SubIdentifierExtractor\SubIdentifierExtractorInterface::SUB_IDENTIFIER_EXTRACTOR_TAG]

  XLite\API\Endpoint\ProductImage\SubExtension\SubExtension:
    tags: [!php/const XLite\API\Extension\ItemSubExtension\ItemSubExtensionInterface::ITEM_SUB_EXTENSION_TAG]

  XLite\API\Endpoint\ProductImage\SubIriConverter\SubIriConverter:
    tags: [!php/const XCart\Framework\ApiPlatform\Core\Bridge\Symfony\Routing\SubIriConverter\SubIriFromItemConverterInterface::SUB_IRI_FROM_ITEM_CONVERTER_TAG]
